---
title: 'Get Loyalty Transaction Entries'
description: 'Fetch loyalty transaction entries for wallets or users, representing account balance changes.'
openapi: GET /api/loyalty/transaction_entries
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/loyalty/transaction_entries` — query parameters: `organizationId`, `websiteId`, `startingAfter`, `limit`, `walletAddress`, `userId`, `walletGroupIdentifier`, `loyaltyTransactionId`, `loyaltyRuleId`, `loyaltyRuleType`, `idempotencyKey`, `type`, `sortBy`, `sortDir`, `userCompletedLoyaltyRuleId`, `userGroupExternalIdentifier`, `userGroupId`, `createdAtStart`, `createdAtEnd`, `loyaltyRuleGroupId`, `loyaltyCurrencyId`

`GET https://admin.snagsolutions.io/api/loyalty/transaction_entries`

Fetch loyalty transaction entries for wallets or users, representing account balance changes.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `organizationId` (string) — Unique identifier for the organization to filter by
- `websiteId` (string) — Unique identifier for the website to filter by
- `startingAfter` (string) — Pagination cursor to start after a specific resource ID
- `limit` (integer) — Maximum number of records to return (max 100)
- `walletAddress` (string) — Wallet address or array of wallet addresses to filter by
- `userId` (string) — User ID or array of User IDs to filter by
- `walletGroupIdentifier` (string) — Identifier for the wallet group to filter by
- `loyaltyTransactionId` (string) — Unique identifier for the loyalty transaction to filter by
- `loyaltyRuleId` (string) — Unique identifier for the loyalty rule to filter by
- `loyaltyRuleType` (string)
- `idempotencyKey` (string) — Key to ensure idempotency of the request
- `type` (string) — Type of the loyalty transaction to filter by
- `sortBy` (string) — Field to sort the results by
- `sortDir` (string) — Direction to sort the results by
- `userCompletedLoyaltyRuleId` (string) — When passed in return the list of fulfilled entries for loyalty rules. If a loyalty rule has a fulfilled entry this means the user cannot currently complete the rule. Must be passed in with userId or walletAddress.
- `userGroupExternalIdentifier` (string) — External identifier for the user group controlled by you.
- `userGroupId` (string) — Unique identifier for the user group
- `createdAtStart` (string) — Start date to filter by (inclusive, greater than or equal to)
- `createdAtEnd` (string) — End date to filter by (exclusive, less than)
- `loyaltyRuleGroupId` (string) — UUID of the rule group (converted to lowercase)
- `loyaltyCurrencyId` (string) — UUID of the loyalty currency IDs to filter by. Use this to exclude deleted currencies

## Response 200

200
  - response (object)
    - `data` (array, required)
      - `items` (object) — Schema for a loyalty transaction entry
        - `id` (string, uuid, required) — Unique identifier for the transaction entry
        - `organizationId` (string, uuid, required) — Unique identifier for the organization
        - `websiteId` (string, uuid, required) — Unique identifier for the website
        - `loyaltyAccountId` (string, uuid, required) — Unique identifier for the loyalty account
        - `direction` (string, required, one of: credit, debit) — Direction of the transaction entry
        - `type` (string, required, one of: auction_bid, direct_mint, loyalty_rule, api_key, order) — Type of the loyalty transaction
        - `createdAt` (string, required) — Timestamp when the transaction entry was created
        - `updatedAt` (string, required) — Timestamp when the transaction entry was last updated
        - `amount` (number, required) — Amount involved in the transaction
        - `metadata` (object) — Optional metadata for the transaction entry
        - `loyaltyTransaction` (object, required) — Details of the loyalty transaction
          - `id` (string, required) — Unique identifier for the loyalty transaction
          - `type` (string, required, one of: auction_bid, direct_mint, loyalty_rule, api_key, order) — Type of the loyalty transaction
          - `loyaltyRule` (object) — Details of the loyalty rule associated with the transaction
            - id: … (nested further)
            - name: … (nested further)
            - description: … (nested further)
            - type: … (nested further)
            - metadata: … (nested further)
            - loyaltyRuleGroupItem: … (nested further)
    - `hasNextPage` (boolean, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 429

429
  - response (object) — Schema for too many request response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
